<template>
  <button class="btn btn-light" v-bind:class="{ active: active }" @click="clicked">
    <font-awesome-icon v-if="icon" :icon="icon"></font-awesome-icon>
    <span v-if="text" v-bind:class="classObject">{{ text }}</span>
  </button>
</template>

<script>
export default {
  name: 'iconbutton',

  props: {
    icon: {
      type: String,
    },

    text: {
      type: String,
    },

    active: {
      type: Boolean,
      default: false,
    },
  },

  methods: {
    clicked() {
      this.$emit('click')
    }
  },

  computed: {
    classObject: {
      get() {
        return { 'pl-3': this.icon !== undefined }
      },
    },
  },
}
</script>
